Bug 1127194 - [xmlrpc] Do not change the content of plan's text, invoke TestPlan.store_text twice, system will save the content twice with same checksum
Summary: [xmlrpc] Do not change the content of plan's text, invoke TestPlan.store_text...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 11:16 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-08-06 11:16:57 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Invoke TestPlan.store_text twice with same content of text.
2.Check the version for this plan's text.

Actual results:
The number of version add 1, and the checksum does not change.

Expected results:
Because the content does not change, the version of content keep the same.

Additional info:
In [106]: n.TestPlan.store_text(10150,'testtest',4258)
Out[106]: 
{'author': 'tzhao',
 'author_id': 4258,
 'checksum': '05a671c66aefea124cc08b76ea6d30bb',
 'create_date': '2014-08-06 19:07:42',
 'id': 20930,
 'plan': 'qiyang test plan a',
 'plan_id': 10150,
 'plan_text': 'testtest',
 'plan_text_version': 3}

In [107]: n.TestPlan.store_text(10150,'testtest',4258)
Out[107]: 
{'author': 'tzhao',
 'author_id': 4258,
 'checksum': '05a671c66aefea124cc08b76ea6d30bb',-----checksum is the same as 106
 'create_date': '2014-08-06 19:07:50',
 'id': 20931,
 'plan': 'qiyang test plan a',
 'plan_id': 10150,
 'plan_text': 'testtest',
 'plan_text_version': 4}------------version changed from 3 to 4----------

Comment 1 Tingting Zhao 2014-08-11 03:51:52 UTC
verify on devel server with v3.8.10-1----Pass
verify steps are the same as the description.


Note You need to log in before you can comment on or make changes to this bug.